<?php

// Página
$direct = 'perfil';

// Checa se o usuário possui acesso na página
Util::verificaAcesso('cms-' . $direct, 'editar', '?i=cms-' . $direct);

$obj = Perfil::buscar(@$_GET['id']);

if (!$obj) {
    Message::error('Registro não encontrado.');
    Util::redirect(Util::baseUrl() . 'cms/?i=cms-' . $direct);
}

// Mensagem de Retorno
require_once $GLOBALS['baseDir'] . 'includes/mensagens.php';

// Modal excluir registro
require_once $GLOBALS['baseDir'] . 'includes/modal/excluir-registro.php';

echo Form::open($GLOBALS['baseUrl'] . '?i=cms-' . $direct . '-processo&t=editar', array('name' => 'form', 'id' => 'form', 'class' => 'form bg clearfix'));

    echo '<p>Nome: *</p>';
    echo Form::text('', 'nome', $obj->nome, 255, array('class' => 'um'));

    echo Form::hidden('id', $_GET['id']);

    // ============================
    // GRID DE PERMISSÕES
    // ----------------------------

    echo '<h3>Permiss&otilde;es</h3>';
    echo "<table class='tablesorter'>
            <thead>
                <tr>
                    <th width='40%'>
                        <span><em>Descrição</em></span>
                    </th>
                    <th class='center'>
                        <span><em>Consultar</em></span>
                    </th>
                    <th class='center'>
                        <span><em>Inserir</em></span>
                    </th>
                    <th class='center'>
                        <span><em>Editar</em></span>
                    </th>
                    <th class='center'>
                        <span><em>Excluir</em></span>
                    </th>
                </tr>
            </thead>
            <tbody>";

    $arrPerm = Permissao::permissaoPerfil(@$_GET['id']);

    if (count($arrPerm) > 0) {
        foreach ($arrPerm as $perm) {
            $consultar = ($perm['consultar']) ? 'pronto' : 'impedido';
            $inserir = ($perm['inserir']) ? 'pronto' : 'impedido';
            $editar = ($perm['editar']) ? 'pronto' : 'impedido';
            $excluir = ($perm['excluir']) ? 'pronto' : 'impedido';

            echo "<tr>
                <td data-label='Descrição'>
                    " . $perm['nome'] . "
                </td>
                <td data-label='Consultar'>
                    <a href=\"javascript:alteraPermissao('consultar'," . $perm['id'] . ');" class="status ' . $consultar . '" id="permissaoconsultar' . $perm['id'] . "\">&nbsp;</a>
                </td>
                <td data-label='Inserir'>
                    <a href=\"javascript:alteraPermissao('inserir'," . $perm['id'] . ');" class="status ' . $inserir . '" id="permissaoinserir' . $perm['id'] . "\">&nbsp;</a>
                </td>
                <td data-label='Editar'>
                    <a href=\"javascript:alteraPermissao('editar'," . $perm['id'] . ');" class="status ' . $editar . '" id="permissaoeditar' . $perm['id'] . "\">&nbsp;</a>
                </td>
                <td data-label='Excluir'>
                    <a href=\"javascript:alteraPermissao('excluir'," . $perm['id'] . ');" class="status ' . $excluir . '" id="permissaoexcluir' . $perm['id'] . '">&nbsp;</a>
                </td>
            </tr>';
        }
    }

        echo '</tbody>';
    echo '</table>';

    // ============================
    // FINAL DA GRID DE PERMISSÕES
    // ----------------------------

    echo Form::button('Salvar', array('class' => 'salvar'));
    echo Form::button('Voltar', array('class' => 'voltar', 'onclick' => "window.location='?i=cms-$direct';"));

echo Form::close();
?>

<script>
$('#busca').css('display', 'none');

$(".salvar").click(function () {
    var validacao = validaCampos('nome');

    if (validacao == true) {
        $(this).html('Enviando..');
        $(this).prop('disabled', true);
        $("#form").submit();
    }
});
</script>
